Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.uima.resource.metadata
Interface ConfigurationParameterSettings

All Superinterfaces:
  Cloneable, MetaDataObject, Serializable, XMLizable

    public interface ConfigurationParameterSettings

extends MetaDataObject

The values for `ConfigurationParameter`s in a Resource. When the Resource has declared `ConfigurationGroup`s, there may be different values for each group.

Method Summary
`NameValuePair[]` | `getParameterSettings()` Gets the settings for configuration parameters that are not in any group.
`Object` | `getParameterValue(String aParamName)` Looks up the value of a parameter.
`Object` | `getParameterValue(String aGroupName, String aParamName)` Looks up the value of a parameter in a group.
`Map` | `getSettingsForGroups()` Gets the settings for configuration parameters that are defined within groups.
`void` | `setParameterSettings(NameValuePair[] aSettings)` Sets the settings for configuration parameters that are not in any group.
`void` | `setParameterValue(String aParamName, Object aValue)` Sets the value of a parameter.
`void` | `setParameterValue(String aGroupName, String aParamName, Object aValue)` Sets the value of a parameter in a group.

Methods inherited from interface org.apache.uima.resource.metadata.MetaDataObject
`clone, equals, getAttributeValue, getSourceUrl, getSourceUrlString, isModifiable, listAttributes, setAttributeValue, setSourceUrl`

Methods inherited from interface org.apache.uima.util.XMLizable
`buildFromXMLElement, buildFromXMLElement, toXML, toXML, toXML, toXML`

Method Detail

### getParameterSettings

    NameValuePair[] getParameterSettings()

  Gets the settings for configuration parameters that are not in any group.

  Returns:
    an array of `NameValuePair` objects, each of which contains a parameter name and the value of that parameter

### setParameterSettings

    void setParameterSettings(NameValuePair[] aSettings)

  Sets the settings for configuration parameters that are not in any group.

  Parameters:
    `aSettings` - an array of `NameValuePair` objects, each of which contains a parameter name and the value of that parameter

### getSettingsForGroups

    Map getSettingsForGroups()

  Gets the settings for configuration parameters that are defined within groups.

  Returns:
    a Map with `String` keys (the group names) and `NameValuePair`[] values (the settings for parameters in that group.

### getParameterValue

    Object getParameterValue(String aParamName)

  Looks up the value of a parameter. This is a "dumb" getter and does not follow any fallback strategies. It will only return the value of a parameter that is not defined in any group.

  Parameters:
    `aParamName` - the name of a parameter that is not in any group
  Returns:
    the value of the parameter with name `aParamName`

### getParameterValue

    Object getParameterValue(String aGroupName,
                             String aParamName)

  Looks up the value of a parameter in a group. This is a "dumb" getter and does not follow any fallback strategies.

  Parameters:
    `aGroupName` - the name of a configuration group. If this parameter is `null`, this method will return the same value as `getParameterValue(String)`.``
    `aParamName` - the name of a parameter in the group
  Returns:
    the value of the parameter in group `aGroupName` with name `aParamName`

### setParameterValue

    void setParameterValue(String aParamName,
                           Object aValue)

  Sets the value of a parameter. This only works for a parameter that is not defined in any group.

  Parameters:
    `aParamName` - the name of a parameter that is not in any group
    `aValue` - the value to assign to the parameter

### setParameterValue

    void setParameterValue(String aGroupName,
                           String aParamName,
                           Object aValue)

  Sets the value of a parameter in a group.

  Parameters:
    `aGroupName` - the name of a configuration group
    `aParamName` - the name of a parameter in the group
    `aValue` - the value to assign to the parameter

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 The Apache Software Foundation. All Rights Reserved.